# 32/64bit spec-file
#
Name: oxygen-gtk
Summary: A port of the default KDE widget theme (Oxygen) to gtk2
Version: 1.4.6
Release: %mkrel 1
Source0: %{name}2-%{version}.tar.xz
Patch0:  oxygen-gtk2-1.4.6-workaround-crash-with-dropbox.patch
Patch1:  oxygen-gtk2-1.4.6-detect-kompozer-and-bluegriffon-as-XUL-application.patch
Patch2:  oxygen-gtk2-1.4.6-use-Adwaita-as-fallback-icon-theme.patch
Source1: gtkrc-2.0
URL: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Group: Graphical desktop/KDE4
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: LGPLv2+
#-------------------------------------
BuildRequires: cmake
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}x11-devel
#-------------------------------------

Conflicts: gtk-oxygen-molecule
Obsoletes:	gtk-oxygen-engine
Obsoletes:  	%name < %version
Obsoletes:	%{name}2 < %version

%description
Oxygen-Gtk is a port of the default KDE widget theme (Oxygen), to gtk2.

It's primary goal is to ensure visual consistency between gtk and qt-based
applications running under kde. A secondary objective is to also have a
stand-alone nice looking gtk theme that would behave well on other Desktop
Environments.

Unlike other attempts made to port the kde oxygen theme to gtk, this attempt
does not depend on Qt (via some Qt to Gtk conversion engine), nor does render
the widget appearance via hard coded pixmaps, which otherwise breaks everytime
some setting is changed in kde.

%prep
%setup -q -n %{name}2-%{version}
%apply_patches

%build
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

mkdir -p %{buildroot}%{_datadir}/themes/%{name}/gtk-2.0/
install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/themes/%{name}/gtk-2.0/gtkrc-2.0

%clean 
rm -rf %{buildroot}

%post
#copy theme resource file to root folder
cp /usr/share/themes/oxygen-gtk/gtk-2.0/gtkrc-2.0 /root/.gtkrc-2.0

#copy theme resource file to user folder
SYSUSERS=`cat /etc/passwd | grep "/home/.*/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
SYSUSERS=${SYSUSERS/named/}
for idx in $SYSUSERS
 do INP1=/home/$idx/.gtkrc-2.0
if [ -e $INP1 ];then cp /usr/share/themes/oxygen-gtk/gtk-2.0/gtkrc-2.0 /home/$idx/.gtkrc-2.0; chown $idx.`id -gn $idx` $INP1; fi; done

%files
%defattr(-,root,root)
%{_bindir}/oxygen-gtk-demo
%{_libdir}/gtk-2.0/2.10.0/engines/liboxygen-gtk.so
%{_datadir}/themes/oxygen-gtk


%changelog
* Wed Nov 04 2014 bb <bb> 1.4.6-1pclos2014
- update

* Thu Apr 10 2014 ghostbunny <ghostbunny at gmx dot de> 1.4.5-1pclos2014
- 1.4.5

* Sat Mar 08 2014 ghostbunny <hmhaase at pclinuxosusers dot de> 1.4.3-1pclos2014
- 1.4.3

